Validate order for international shipping - Fabric
Validate order for international shipping
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/cross-border/validate-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"orderNumbers": [
309019176
]
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/cross-border/validate-order"
payload = { "orderNumbers": [309019176] }
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({orderNumbers: [309019176]})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/cross-border/validate-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
400 Bad Request
{
"message": "Order number is required"
}
404 Not Found
{
"message": "Order not found"
}
500 Internal Server Error
{
"message": "Internal server error"
}
Authorizations
Authorization
- Type: string
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
x-site-context
Type: string
Required: Yes
Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Body
- Content-Type: application/json
- Description: Cross border validate order request model
orderNumbers
- Type: string[]
- Required: Yes